package jp.co.sds_corp.puzzle;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.net.URL;

import jp.co.sds_corp.test.applet.AppletStubImpl;
import jp.co.sds_corp.test.applet.AppletTestBase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class TestPuzzleApplet extends AppletTestBase
{
	static final CmnLogger logger = CmnLogFactory.getLogger();
	Object lock = new Object();

	public void stopped() {
    	synchronized(lock) {
    		lock.notifyAll();
    	}
	}

	public void waitStop() throws Exception {
    	synchronized(lock) {
    		lock.wait();
    	}
	}

	public void testApplet() throws Exception {
		try {
			checkWindow();
		} catch ( Exception ex ) {
		return;
		}
		NumPuzzleApplet applet = new NumPuzzleApplet();
		URL url = new URL("file:.");
		AppletStubImpl stub = new AppletStubImpl(applet, url);
		stub.putParameter("PARAM", "ID,JSESSIONID=ID");
		stub.putParameter("local", "true");
		applet.setStub(stub);

		applet.init();
		applet.frame.addWindowListener( new WindowAdapter() {
			public void windowClosing( WindowEvent e ) {
				stopped();
			}
		} );
		applet.frame.loadFile("/sample/e1.dat");
		applet.frame.logic.start();
//		waitStop();
		Thread.sleep(1000);
	}

}
