package jp.co.sds_corp.puzzle;

import jp.co.sds_corp.test.BasicTestCase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class TestPuzzle extends BasicTestCase
{
	static final CmnLogger logger = CmnLogFactory.getLogger();

	public void setUp() throws Exception {
		super.setUp();
	}

    public void testPuzzle1() throws Exception {
		String[] args = { "target/test-classes/sample/Q001.dat" };
		NumPuzzle obj = new NumPuzzle( args );
		obj.start();
		obj.waitThread();
	}

    public void testPuzzle2() throws Exception {
		String[] args = { "target/test-classes/sample/Q001.dat" };
		NumPuzzle obj = new NumPuzzle( args );
		obj.setStop(false);
		NumPuzzle.Resolver resolver = obj.new Resolver();
		resolver.run();
	}

    public void testPuzzle3() throws Exception {
		String[] args = { "target/test-classes/sample/e1.dat" };
		NumPuzzle obj = new NumPuzzle( args );
		obj.setStop(false);
		NumPuzzle.Resolver resolver = obj.new Resolver();
		resolver.run();
	}

}
