package jp.co.sds_corp.puzzle;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import jp.co.sds_corp.test.BasicTestCase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class TestPuzzlePnl extends BasicTestCase
{
	static final CmnLogger logger = CmnLogFactory.getLogger();
	Object lock = new Object();

	public void setUp() throws Exception {
		super.setUp();
	}

	public void stopped() {
    	synchronized(lock) {
    		lock.notifyAll();
    	}
	}

	public void waitStop() throws Exception {
    	synchronized(lock) {
    		lock.wait();
    	}
	}

	public void testPuzzle1() throws Exception {
		NumPuzzlePnl panel = new NumPuzzlePnl(null);
		panel.addWindowListener( new WindowAdapter() {
			public void windowClosing( WindowEvent e ) {
				stopped();
			}
		} );
		panel.loadFile("/sample/e1.dat");
		panel.logic.start();
//		waitStop();
		Thread.sleep(1000);
	}

}
